TEMPLATE	= lib
CONFIG		+= qt warn_on dll link_prl
TARGET 		= qsa
VERSION  	= 1.0.0

isEmpty(QSA_INSTALL_PREFIX) {
  QSA_BUILD_PREFIX=$$(QTDIR)
} else {
  QSA_BUILD_PREFIX=../..
}

DESTDIR         = $$QSA_BUILD_PREFIX/lib
DLLDESTDIR      = $$QSA_BUILD_PREFIX/bin

HEADERS		= \
		  qsproject.h \
		  qsinterpreter.h \
		  qsobjectfactory.h \
		  qswrapperfactory.h \
		  qseditor.h \
		  qsinputdialogfactory.h \
		  qsargument.h \
                  qsscript.h

SOURCES		= \
		  qsproject.cpp \
		  qsinterpreter.cpp \
		  qsobjectfactory.cpp \
		  qswrapperfactory.cpp \
		  qsinputdialogfactory.cpp \
		  qseditor.cpp \
		  qsargument.cpp \
                  qsscript.cpp

win32:DEFINES	+= QSA_DLL
win32:DEFINES	+= QUICKCORE_DLL

# I think this belongs here
isEmpty(QT_SOURCE_TREE):QT_SOURCE_TREE=$(QTDIR)
isEmpty(QT_INSTALL_PREFIX):QT_INSTALL_PREFIX=$(QTDIR)

INCLUDEPATH	+= ../engine \
		   $$QT_SOURCE_TREE/tools/designer/editor \
		   ../../tools/designer/editor \
		   ../kernel \
		    . 

DEFINES += HAVE_CONFIG_H QSDEBUGGER
DEFINES += QT_INTERNAL_XML
DEFINES += QT_INTERNAL_WORKSPACE
DEFINES += QT_INTERNAL_ICONVIEW
DEFINES += QT_INTERNAL_TABLE
win32-msvc.net:DEFINES+=Q_TEMPLATE_EXTERN=extern

LIBS += -L$${QT_INSTALL_PREFIX}/lib
unix {
	!hpux-acc:LIBS += -leditor -lqui
	hpux-acc:LIBS += -Wl,-a,default -leditor
}	

win32:LIBS += -leditor

headers.files 	= \
		qsaglobal.h \
                qsconfig.h \
		qsobjectfactory.h \
		qswrapperfactory.h \
		qseditor.h \
		qsproject.h \
		qsinterpreter.h \
		qsargument.h \
		qsinputdialogfactory.h \
		qsscript.h

!isEmpty(QSA_INSTALL_PREFIX) {
  headers.path = $$QSA_INSTALL_PREFIX/include
  win32 {
    target.path = $$QSA_INSTALL_PREFIX/bin
  } else {
    target.path = $$QSA_INSTALL_PREFIX/lib
  }
  prf.files = qsa.prf
  prf.path = $$QSA_INSTALL_PREFIX/mkspec/features
  documentation.files = ../../doc/html/*
  documentation.path = $$QSA_INSTALL_PREFIX/doc/html
  INSTALLS += headers target prf documentation
}

KERNELDIR = ../kernel
EDITORDIR = ../editor
!noide:IDEDIR = ../ide

include( ../kernel/kernel.pri )
include( ../editor/editor.pri )
!noide:include( ../ide/ide.pri )

